Gradle-user guide-Installing-第四章 安装Gradle(译)
博客专区 > 闪电 的博客 > 博客详情
Gradle-user guide-Installing-第四章 安装Gradle(译)
闪电 发表于3年前
Gradle-user guide-Installing-第四章 安装Gradle(译)
  • 发表于 3年前
  • 阅读 11
  • 收藏 0
  • 点赞 0
  • 评论 0

【腾讯云】买域名送云解析+SSL证书+建站!>>>   

第四章 安装Gradle

4.1前提条件

Gradle 需要安装JDK 或者 JRE ,需要Java版本6或者更高。Gradle有自己的Groovy库,因此不需要另外安装Groovy,任何已经安装的Groovy都会被Gradle忽略。

4.2 下载

直接从官方网站下载。

4.3解包

从官方网站下载一个zip包,这个zip包中包含:

1.Gradle二进制文件。

2.用户手册(HTMLPDF

3.DSL参考手册

4.API文档(Javadoc Groovydoc

5.许多范例

6.源码文件

4.4环境变量

运行Gradle,需要在PATH环境变量中增加GRADLE_HOME/bin路径。

4.5运行和测试安装

可以通过使用gradle命令来运行Gradlegradle -v命令可以用来测试Gradle是否是正确安装,该命令会输出Gradle的版本号,以及本地的环境配置(groovyJVM版本等)。

4.6 JVM选项

GradleJVM选项可以通过环境变量来设置,使用GRADLE_OPTS 或者JAVA_OPTS也可以同时使用这两个变量,JAVA_OPTS会被Java应用项目共享。

一个典型的用法是,在JAVA_OPTS 中设置HTTP代理,在GRADLE_OPTS中设置内存选项。这些变量也可以在gradle和 gradlew脚本的开头设置。

  • 打赏
  • 点赞
  • 收藏
  • 分享
共有 人打赏支持
粉丝 72
博文 390
码字总数 6789
×
闪电
如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
* 金额(元)
¥1 ¥5 ¥10 ¥20 其他金额
打赏人
留言
* 支付类型
微信扫码支付
打赏金额:
已支付成功
打赏金额: